package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.DatabaseIDNotSetState;
import de.fhdw.wtf.common.ast.DatabaseIDSetState;

/**
 * Visitor for {@link de.fhdw.wtf.common.ast.DatabaseIDState}.
 */
public interface DatabaseIDStateVisitor {
	
	/**
	 * Handle-Method.
	 * 
	 * @param a
	 *            {@link DatabaseIDNotSetState}
	 */
	void handle(DatabaseIDNotSetState a);
	
	/**
	 * Handle-Method.
	 * 
	 * @param a
	 *            {@link DatabaseIDSetState}
	 */
	void handle(DatabaseIDSetState a);
	
}
