package de.fhdw.wtf.common.exception.generation;

/**
 * This exception is thrown when an id is accessed, that has not been set.
 * 
 */
public class NoTypeIdSetException extends Exception {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -3718305666599238665L;
	
	/**
	 * Constructor of {@link NoTypeIdSetException}.
	 */
	public NoTypeIdSetException() {
		super("No type id has been set for this object.");
	}
	
}
