package de.fhdw.wtf.common.exception.parser;

/**
 * This Exception will be thrown if the Parser found exceptions in the given Tokenstream.
 * 
 */
public final class NoValidTokenStreamException extends Exception {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -4210989461971808415L;
	
	/**
	 * Constructor of {@link NoValidTokenStreamException}.
	 * 
	 * @param message
	 *            message
	 */
	private NoValidTokenStreamException(final String message) {
		super(message);
	}
	
	/**
	 * Creates a {@link NoValidTokenStreamException}-Object.
	 * 
	 * @return The {@link NoValidTokenStreamException}-Object.
	 */
	public static NoValidTokenStreamException create() {
		return new NoValidTokenStreamException(
				de.fhdw.wtf.common.constants.parser.ExceptionConstants.NO_VALID_TOKEN_STREAM_EXCEPTION_MESSAGE);
	}
}
